Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class AbstractSessionManager.NullSessionContext

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.NullSessionContext

All Implemented Interfaces:
  HttpSessionContext

Enclosing class:
  AbstractSessionManager

    public static class AbstractSessionManager.NullSessionContext

extends Object
implements HttpSessionContext

Null returning implementation of HttpSessionContext

Author:
  Greg Wilkins (gregw)

Method Summary
`Enumeration` | `getIds()` Deprecated. From HttpSessionContext
`HttpSession` | `getSession(String id)` Deprecated. From HttpSessionContext

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIds

    public Enumeration getIds()

  Deprecated. From HttpSessionContext

  Specified by:
    `getIds` in interface `HttpSessionContext`

### getSession

    public HttpSession getSession(String id)

  Deprecated. From HttpSessionContext

  Specified by:
    `getSession` in interface `HttpSessionContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.